Update flow
Update a flow and/or its step definitions.
Authentication
AuthorizationBearer
API key or Clerk session token
Path parameters
id
Request
This endpoint expects an object.
description
flowSteps
inputs
Inputs the flow expects its caller to supply. Declared names do not raise UNDECLARED_VARIABLE_REFERENCE.
name
Response
Updated flow
createdAt
draftVersionId
flowSteps
id
lastModifiedSource
name
organizationId
updatedAt
userId
dashboardUrl
description
inputs
Inputs the flow expects its caller to supply. Absent when none are declared.
lastRunAt
publishedVersionId
sampleMetadata
stepCount
Errors
400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error